// Made with Amplify Shader Editor
// Available at the Unity Asset Store - http://u3d.as/y3X 
Shader "Custom/Normal And Edge"
{
	Properties
	{
		_SpriteSheet("SpriteSheet", 2D) = "white" {}
		_Offset("Offset", Range( 0 , 1)) = 0.5
		_Thickness("Thickness", Range( 0.01 , 0.5)) = 0.1829412
		[HideInInspector] _texcoord( "", 2D ) = "white" {}
		[HideInInspector] __dirty( "", Int ) = 1
	}

	SubShader
	{
		Tags{ "RenderType" = "Opaque"  "Queue" = "Geometry+0" "IsEmissive" = "true"  }
		Cull Back
		CGPROGRAM
		#pragma target 3.0
		#pragma surface surf Standard keepalpha addshadow fullforwardshadows 
		struct Input
		{
			float2 uv_texcoord;
		};

		uniform sampler2D _SpriteSheet;
		uniform float4 _SpriteSheet_ST;
		uniform float _Thickness;
		uniform float _Offset;

		void surf( Input i , inout SurfaceOutputStandard o )
		{
			float temp_output_41_0_g11 = 0.4;
			float temp_output_47_0_g11 = ( 1.0 - temp_output_41_0_g11 );
			float2 uv_SpriteSheet = i.uv_texcoord * _SpriteSheet_ST.xy + _SpriteSheet_ST.zw;
			float2 temp_output_2_0_g11 = uv_SpriteSheet;
			float2 break6_g11 = temp_output_2_0_g11;
			float temp_output_25_0_g11 = ( pow( 0.5 , 3.0 ) * 0.1 );
			float2 appendResult8_g11 = (float2(( break6_g11.x + temp_output_25_0_g11 ) , break6_g11.y));
			float smoothstepResult45_g11 = smoothstep( temp_output_41_0_g11 , temp_output_47_0_g11 , tex2D( _SpriteSheet, appendResult8_g11 ).a);
			float smoothstepResult44_g11 = smoothstep( temp_output_41_0_g11 , temp_output_47_0_g11 , tex2D( _SpriteSheet, temp_output_2_0_g11 ).a);
			float temp_output_4_0_g11 = 2.0;
			float3 appendResult13_g11 = (float3(1.0 , 0.0 , ( ( smoothstepResult45_g11 - smoothstepResult44_g11 ) * temp_output_4_0_g11 )));
			float2 appendResult9_g11 = (float2(break6_g11.x , ( break6_g11.y + temp_output_25_0_g11 )));
			float smoothstepResult46_g11 = smoothstep( temp_output_41_0_g11 , temp_output_47_0_g11 , tex2D( _SpriteSheet, appendResult9_g11 ).a);
			float3 appendResult16_g11 = (float3(0.0 , 1.0 , ( ( smoothstepResult46_g11 - smoothstepResult44_g11 ) * temp_output_4_0_g11 )));
			float3 normalizeResult22_g11 = normalize( cross( appendResult13_g11 , appendResult16_g11 ) );
			o.Normal = normalizeResult22_g11;
			float4 tex2DNode4 = tex2D( _SpriteSheet, uv_SpriteSheet );
			o.Albedo = tex2DNode4.rgb;
			float smoothstepResult7 = smoothstep( _Thickness , ( _Thickness - 0.01 ) , distance( tex2DNode4.a , _Offset ));
			float3 temp_cast_1 = (smoothstepResult7).xxx;
			o.Emission = temp_cast_1;
			o.Alpha = 1;
		}

		ENDCG
	}
	Fallback "Diffuse"
	CustomEditor "ASEMaterialInspector"
}
/*ASEBEGIN
Version=16105
1927;-78;1065;940;1694.658;468.7363;1;True;False
Node;AmplifyShaderEditor.TexturePropertyNode;2;-1198.265,39.50045;Float;True;Property;_SpriteSheet;SpriteSheet;0;0;Create;True;0;0;False;0;62d15b2165dcaef4fa27e06c35609c9c;62d15b2165dcaef4fa27e06c35609c9c;False;white;Auto;Texture2D;0;1;SAMPLER2D;0
Node;AmplifyShaderEditor.RangedFloatNode;6;-548.7465,76.27406;Float;False;Property;_Offset;Offset;5;0;Create;True;0;0;False;0;0.5;0.5;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;8;-194.7903,233.3623;Float;False;Property;_Thickness;Thickness;6;0;Create;True;0;0;False;0;0.1829412;0;0.01;0.5;0;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;4;-861.2284,-177.0368;Float;True;Property;_TextureSample3;Texture Sample 3;2;0;Create;True;0;0;False;0;None;None;True;0;False;white;Auto;False;Object;-1;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.RangedFloatNode;18;-59.52026,324.3825;Float;False;Constant;_AntialiasingFactor;Antialiasing Factor;4;0;Create;True;0;0;False;0;0.01;0;0;0;0;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleSubtractOpNode;17;185.4797,231.3825;Float;False;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.DistanceOpNode;3;-174.57,0.6771584;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.FunctionNode;23;-853.1783,235.0535;Float;True;NormalCreateSDF;1;;11;199ef7388eb8d9c4caca11d36049a297;0;5;1;SAMPLER2D;;False;2;FLOAT2;0,0;False;3;FLOAT;0.5;False;4;FLOAT;2;False;41;FLOAT;0.4;False;1;FLOAT3;0
Node;AmplifyShaderEditor.FunctionNode;20;-846.4791,24.21473;Float;True;NormalCreate;3;;8;e12f7ae19d416b942820e3932b56220f;3,38,3,37,3,32,3;5;1;SAMPLER2D;;False;2;FLOAT2;0,0;False;3;FLOAT;0.5;False;4;FLOAT;2;False;41;FLOAT;0.4;False;1;FLOAT3;0
Node;AmplifyShaderEditor.SmoothstepOpNode;7;302.879,-33.61318;Float;True;3;0;FLOAT;0;False;1;FLOAT;0.04;False;2;FLOAT;0.49;False;1;FLOAT;0
Node;AmplifyShaderEditor.StandardSurfaceOutputNode;0;676.8225,-193.8219;Float;False;True;2;Float;ASEMaterialInspector;0;0;Standard;Custom/Normal And Edge;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;Back;0;False;-1;0;False;-1;False;0;False;-1;0;False;-1;False;0;Opaque;0.5;True;True;0;False;Opaque;;Geometry;All;True;True;True;True;True;True;True;True;True;True;True;True;True;True;True;True;True;0;False;-1;False;0;False;-1;255;False;-1;255;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;False;2;15;10;25;False;0.5;True;0;0;False;-1;0;False;-1;0;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;0;0,0,0,0;VertexOffset;True;False;Cylindrical;False;Relative;0;;-1;-1;-1;-1;0;False;0;0;False;-1;-1;0;False;-1;0;0;0;16;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT;0;False;4;FLOAT;0;False;5;FLOAT;0;False;6;FLOAT3;0,0,0;False;7;FLOAT3;0,0,0;False;8;FLOAT;0;False;9;FLOAT;0;False;10;FLOAT;0;False;13;FLOAT3;0,0,0;False;11;FLOAT3;0,0,0;False;12;FLOAT3;0,0,0;False;14;FLOAT4;0,0,0,0;False;15;FLOAT3;0,0,0;False;0
WireConnection;4;0;2;0
WireConnection;17;0;8;0
WireConnection;17;1;18;0
WireConnection;3;0;4;4
WireConnection;3;1;6;0
WireConnection;23;1;2;0
WireConnection;20;1;2;0
WireConnection;7;0;3;0
WireConnection;7;1;8;0
WireConnection;7;2;17;0
WireConnection;0;0;4;0
WireConnection;0;1;23;0
WireConnection;0;2;7;0
ASEEND*/
//CHKSM=1B8D4097ACBBD8525D45D89971B21D826D2B028B